{
const TOOLS_RUNNER_URL = "https://functions.yandexcloud.net/d4esian9gs7m7m80qk1q";
const SHOWDOWN_URL = "https://storage.yandexcloud.net/collabza/showdown.min.js";
const TOOL_ID = "6a3f14ed-d009-4238-827a-cad30681935a";
const BLOCK_ID = "#rec1000051281";

$(document).ready(function () {
  const tool_id = TOOL_ID;
  const block_id = BLOCK_ID.substring(4);
  const block = $(BLOCK_ID).removeClass("r_hidden");
  block.wrap(`<div id="collabza_rec${block_id}" class="r"></div>`);
  const collabza_wrapper = $(`#collabza_rec${block_id}`);

  const map_script = block.find(".t117_map > script").html();
  const map_api_key = map_script.split('"').slice(-2, -1)[0];
  let map_markers = [];

  const project_id = $("#allrecords").attr("data-tilda-project-id");
  const profile = JSON.parse(
    localStorage.getItem(`tilda_members_profile${project_id}`) ||
      localStorage.getItem("memberarea_profile") ||
      "{}"
  );
  profile["login"] = encodeURIComponent(profile["login"]);
  ["groups", "courses"].forEach((key) => delete profile[key]);
  let filters;

  function loadMore(event) {
    $.post(
      TOOLS_RUNNER_URL,
      JSON.stringify({
        tool_id: tool_id,
        profile: profile,
        project_id: project_id,
        referer: document.location.origin,
        user_agent: navigator.userAgent,
        filters: filters,
        offset: event.data.offset,
      }),
      function (data) {
        const converter = new showdown.Converter();
        data.records?.forEach((record) => {
          if (record.latitude && record.longitude) {
            map_markers.push({
              title: record.point_title || "",
              descr: converter.makeHtml(String(record.point_description) || ""),
              lat: record.latitude,
              lng: record.longitude,
              color: record.point_color || null,
              url: record.point_image || null,
              offset: record.point_offset || null,
            });
          }
        });

        block.find(".no_records").remove();
        if (data.offset) {
          loadMore({ data: { offset: data.offset } });
        } else {
          if (map_markers.length > 0) {
            eval(`arMapMarkers${block_id} = map_markers;`);
            if (map_script.includes("t_appendYandexMap")) {
              t_appendYandexMap(block_id, map_api_key);
              block.find(".t-map > ymaps:not(:last-child)").remove();
              block.append(
                "<style>.t-map > ymaps:not(:last-child) {display: none}</style>"
              );
            } else if (map_script.includes("t_appendGoogleMap")) {
              t_appendGoogleMap(block_id, map_api_key);
            }
          } else {
            block.prepend(
              '<style>.no_records:after { content: "¯\\\\\\\\_(ツ)_/¯"}</style>'
            );
            block.prepend(
              '<div class="t-align_center t-name_xl no_records"></div>'
            );
            block.find(".t-map > ymaps").remove();
          }
          block.trigger("collabza_loaded");
        }
      }
    ).fail(function (data) {
      block.text(
        `Collabza error (${BLOCK_ID}): ${data?.responseJSON?.message}`
      );
      block.css("text-align", "center").show();
    });
  }

  collabza_wrapper.on("collabza_init", function () {
    map_markers = [];
    filters = new URLSearchParams(window.location.search).get(
      `filters${block_id}`
    );
    $.getScript(SHOWDOWN_URL, function () {
      loadMore({ data: {} });
    });
  });
  collabza_wrapper.trigger("collabza_init");
});
}
